
package control;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.CommentInfo;
import model.CommentMod;
import model.SanPham;
import model.ThongTinSanPham;


public class ProductId extends HttpServlet {
	private static final long serialVersionUID = 2L;
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
        	String id = (String)request.getParameter("id");
        	String cmpagex = (String)request.getParameter("cmpage");
        	if (cmpagex==null){cmpagex ="1";}
        	int cmpage = Integer.parseInt(cmpagex);
        	
        	if (id !=null){
            SanPham c = new SanPham();
            ThongTinSanPham sanpham = c.productId(Integer.parseInt(id));                 
            request.setAttribute("sanpham", sanpham);
          
            //Comment
            CommentMod cm = new CommentMod();   
            int TongRecords =   cm.recordsComment(id);

            int pagen = TongRecords / 10;
            if((TongRecords % 10) != 0) {
                pagen++;
            }
            if (cmpage < 1 || cmpage > pagen ){cmpage = 1;}
            int limit = 10;
            int offset = TongRecords - cmpage*10;
            if (offset < 0){ offset = 0; limit = TongRecords - (cmpage-1)*10;} 
                   
            List<CommentInfo> cminfo =  cm.getComment(id,limit,offset);
            request.setAttribute("cmrecord", pagen);
            request.setAttribute("cminfo", cminfo);
            // Ket Thuc Comment
            RequestDispatcher rd = request.getRequestDispatcher("index.jsp?main=product&id="+id+"&cmpage="+cmpage);
            rd.forward(request, response);
        } else {
        	response.sendRedirect("index.jsp");
        }}
        	
        	
        	catch (SQLException ex) {
            Logger.getLogger(Process.class.getName()).log(Level.SEVERE, null, ex);
        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
